<template>
  <div
    class="entityShop"
    :class="{ '-active': activeElement }"
    @click="onClick">
    <div class="entityShop-info">
      <div class="entityShop-name">
        <img
          v-if="entity.contact_is_confirmed"
          svg-inline
          src="~/assets/svg/redesign/ok-small-blue.svg">
        <flink
          v-if="entity.shop_site"
          :href="entity.shop_site"
          class="link"
          rel="nofollow"
          target="_blank"
          @click.native="$ym('seller_go_to_the_website')">
          {{ entity.shop_name }}
        </flink>
        <span
          v-else
          class="link">
          {{ entity.shop_name }}
        </span>
      </div>

      <div class="entityShop-address">
        {{ address }}
      </div>
    </div>

    <div class="entityShop-phones">
      <div
        class="buttonPhones"
        :class="{ '-open': isShowPhone}">
        <AppButtonCall
          v-if="entity.phones"
          :is-open="isShowPhone"
          :class="{ '_no-single': entity.phones.length > 1 }"
          @click.native="onShowPhone(); $ym('seller_show_phone')">
          <template slot="value">
            {{ entity.phones.length === 1 ? entity.phones[0] : 'Телефоны' }}
            <flink
              v-if="entity.phones.length === 1"
              class="linkOnlyMobile"
              :href="hrefPhone(entity.phones[0])"/>
          </template>
        </AppButtonCall>
        <template v-if="entity.phones && entity.phones.length > 1">
          <flink
            v-for="(phone, i) in entity.phones"
            class="linkIsMobile"
            :key="phone + i"
            :href="hrefPhone(phone)">
            {{ phone }}
          </flink>
        </template>
      </div>
    </div>
  </div>
</template>

<script>
import AppButton from '~/components/redesign/app-buttons/app-button';
import AppButtonCall from '~/components/redesign/app-buttons/app-button-call';


export default {
  name: 'AppEntityShop',
  components: {
    AppButtonCall,
    AppButton,
  },
  props: {
    entity: {
      type: Object,
      default() { return {}; },
    },
    activeElement: {
      type: Boolean,
      default: false,
    },
    index: {
      type: Number,
      default: null,
    },
  },
  data() {
    return {
      isShowPhone: false,
    };
  },
  computed: {
    address() {
      const result = [];
      this.entity.city_name && result.push(this.entity.city_name);
      this.entity.street && result.push(`ул. ${this.entity.street}`);
      this.entity.building && result.push(`д. ${this.entity.building}`);
      return result.join(', ');
    },
  },
  methods: {
    onClick() {
      this.$emit('select-entity', this.index);
    },
    hrefPhone(phone) {
      return `tel:${phone.replace(/[^+\d]/g, '')}`;
    },
    onShowPhone() {
      this.isShowPhone = true;
    },
  },
};
</script>

<style lang="postcss">
  .entityShop {
    display: grid;
    grid-template-columns: 1fr 10rem;
    grid-template-areas: "info phones";

    padding: 1rem;
    max-width: 100%;
    background-color: var(--bg-main);
    border-bottom: 1px solid var(--color-disabled);

    &:last-of-type {
      border-bottom: none;
    }

    &.-active {
      background-color: #f8f8f8;

      .__hide-shadow:after {
        background-image: linear-gradient(to left, var(--bg-blue) 0.5rem, var(--bg-transparent));
      }
    }

    &-info {
      grid-area: info;
    }

    &-name {
      font-size: 0.9375rem;
      font-weight: var(--font-weight-bold);

      svg {
        fill: #93BDEA;
      }
    }

    &-address {
      font-size: 0.875rem;
    }

    &-phones {
      grid-area: phones;
      .buttonPhones {
        margin-left: auto;
      }
    }

    @media screen and (max-width: 980px) {
      grid-template-columns: 1fr;
      grid-template-areas: "info" "phones";

      &-phones {
        padding-top: 1rem;
        .buttonPhones {
          margin: 0;
          width: 100%;
        }
      }
    }
  }
</style>
